Summary: Utilities for managing processes on your system.
Name: psmisc
Version: 19
Release: 4mdk
Copyright: distributable
Group: Monitoring
BuildRequires: libtermcap-devel
Source: ftp://metalab.unc.edu/pub/Linux/system/status/ps/psmisc-%version.tar.bz2
Patch0: psmisc-17-buildroot.patch.bz2
Patch1: psmisc-19-makefile.patch.bz2
Buildroot:  %{_tmppath}/%{name}-%{version}-buildroot

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q -n psmisc
%patch0 -p1 -b .br
%patch1 -p0 -b .makefile

%build
export VERSION=`cat VERSION`;
make CFLAGS="$RPM_OPT_FLAGS -DPSMISC_VERSION=\\\"$VERSION\\\""

#'LDFLAGS=-s' 
strip fuser killall pstree

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make INSTPREFIX="$RPM_BUILD_ROOT" install MANDIR=%{_mandir}/man1

mv $RPM_BUILD_ROOT/bin/fuser $RPM_BUILD_ROOT/sbin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/fuser
%{_bindir}/killall
%{_bindir}/pstree
%{_mandir}/man1/fuser.1.bz2
%{_mandir}/man1/killall.1.bz2
%{_mandir}/man1/pstree.1.bz2

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 19-4mdk
- automatically added BuildRequires


* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 19-3mdk
- macros, BM, spechelper ( :-( )

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 19-2mdk
- Fix bad tag value.

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 19-1mdk
- Version update (19)
- Use default Mandrake Optimisations.
- Patch the Makefile for psmisc rpm to be compiled by non root user.
- bziped psmisc-17-buildroot.patch

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Move fuser to /sbin(r).

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Sat Mar 13 1999 Michael Maher <mike@redhat.com>
- updated package

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- renamed the patch file .patch instead of .spec

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to psmisc version 17
- buildrooted

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from version 11 to version 16
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
